Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.jcr.value.binary
Enum Database.Type

    java.lang.Object
      java.lang.Enum<Database.Type>
          org.modeshape.jcr.value.binary.Database.Type

All Implemented Interfaces:
  Serializable, Comparable<Database.Type>

Enclosing class:
  Database

    public static enum Database.Type

extends Enum<Database.Type>

Enum Constant Summary
`ACCESS`
`DB2`
`DB2_390`
`DERBY`
`FIREBIRD`
`H2`
`HSQL`
`INFORMIX`
`INTERBASE`
`MYSQL`
`ORACLE`
`POSTGRES`
`SQL_SERVER`
`SQLITE`
`SYBASE`
`UNKNOWN`

Method Summary
`static Database.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Database.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MYSQL

    public static final Database.Type MYSQL

### POSTGRES

    public static final Database.Type POSTGRES

### DERBY

    public static final Database.Type DERBY

### HSQL

    public static final Database.Type HSQL

### H2

    public static final Database.Type H2

### SQLITE

    public static final Database.Type SQLITE

### DB2

    public static final Database.Type DB2

### DB2_390

    public static final Database.Type DB2_390

### INFORMIX

    public static final Database.Type INFORMIX

### INTERBASE

    public static final Database.Type INTERBASE

### FIREBIRD

    public static final Database.Type FIREBIRD

### SQL_SERVER

    public static final Database.Type SQL_SERVER

### ACCESS

    public static final Database.Type ACCESS

### ORACLE

    public static final Database.Type ORACLE

### SYBASE

    public static final Database.Type SYBASE

### UNKNOWN

    public static final Database.Type UNKNOWN

Method Detail

### values

    public static Database.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Database.Type c : Database.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Database.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.